- job:
    name: lt-qcom-linux-test-integration
    project-type: matrix
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
                - job-workspace
            linaro-qualcomm-ci:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
            artifact-num-to-keep: 1
    parameters:
        - string:
            name: KERNEL_IMAGE_URL
            default: ''
        - string:
            name: KERNEL_MODULES_URL
            default: ''
        - string:
            name: KERNEL_DT_URL
            default: ''
        - string:
            name: KERNEL_CONFIG
            default: ''
        - string:
            name: KERNEL_VERSION
            default: 'noversion'
        - string:
            name: KERNEL_FLAVOR
            default: 'integration'
        - string:
            name: KERNEL_TEST_FLAVOR
            default: 'linux-${KERNEL_FLAVOR}'
        - string:
            name: KERNEL_REPO
            default: 'https://git.codelinaro.org/linaro/qcomlt/kernel.git'
        - string:
            name: KERNEL_COMMIT
            default: ''
        - string:
            name: KERNEL_BRANCH
            default: 'integration-linux-qcomlt'
        - string:
            name: KERNEL_DESCRIBE
            default: ''
        - string:
            name: KERNEL_TOOLCHAIN
            default: 'unknown'
        - string:
            name: PUB_DEST
            default: "member-builds/qcomlt/${KERNEL_TEST_FLAVOR}/${MACHINE}/${BUILD_NUMBER}"
        - string:
            name: LAVA_SERVER
            default: 'https://validation.linaro.org/RPC2/'
        - string:
            name: STAGING_LAVA_SERVER
            default: 'https://staging.validation.linaro.org/RPC2/'
        - string:
            name: QA_SERVER
            default: 'https://qa-reports.linaro.org'
        - string:
            name: QA_SERVER_PROJECT
            default: 'linux-integration'
        - string:
            name: BOOTRR_GIT_REPO
            default: 'https://github.com/andersson/bootrr.git'
        - string:
            name: BOOTRR_GIT_BRANCH
            default: 'master'
    disabled: true
    node: master
    display-name: 'DELETE ME'
    axes:
        - axis:
            type: user-defined
            name: MACHINE
            values:
                - 'apq8016-sbc'
                - 'apq8096-db820c'
                - 'msm8998-mtp'
                - 'qcs404-evb-1000'
                - 'qcs404-evb-4000'
                - 'qrb5165-rb5'
                - 'sm8150-mtp'
                - 'sm8250-mtp'
                - 'sm8350-mtp'
                - 'sc7180-idp'
                - 'sdm845-db845c'
                - 'sdm845-mtp'
        - axis:
            type: slave
            name: label
            values:
                - docker-buster-amd64
    execution-strategy:
        sequential: false
    wrappers:
        - timestamps
        - timeout:
            timeout: 300
        - build-name:
            name: '#${BUILD_NUMBER}'
        - credentials-binding:
            - text:
                credential-id: QA_REPORTS_TOKEN
                variable: QA_REPORTS_TOKEN
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: lt-qcom/builders-deps.sh
        - shell:
            !include-raw: lt-qcom-linux-test/builders.sh
        - inject:
            properties-file: builders_out_parameters
        - linaro-publish-token
        - shell:
            !include-raw: lt-qcom/publishers.sh
        - inject:
            properties-file: builders_out_parameters
        - shell:
            !include-raw: lt-qcom-linux-test/submit_for_testing.sh
    publishers:
        - groovy-postbuild:
            script:
                !include-raw:
                  - rpb-openembedded/postbuild.groovy
                  - openembedded-lkft/postbuild.groovy
        - email-ext:
            recipients: 'leonardo.sandoval@linaro.org dmitry.baryshkov@linaro.org'
            failure: true
            still-failing: true
            matrix-trigger: only-parent
